Технические требования к серверу

Обязательные компоненты

Для работы ELDORADO.CMS требуются следующие обязательные компоненты:

  • ОС: UNIX-like, MacOS X;
  • PHP 4.x или 5.х
  • веб-сервер: Apache >= 1.3, mod_rewrite;
  • сервер БД: MySQL 4.х или 5.х.

Также подразумевается наличие в системе следующих программ: which, tar, gzip, bzip2. Эти программы должны присутствовать по умолчанию в любой системе. 

Необязательные компоненты

Кроме того, рекомендуется наличие следующих необязательных компонентов:

  • Для генерации миниатюр изображений в альбомах изображений и для случайных картинок требуется графическая библиотека для PHP: GD или ImageMagic. Если библиотека установлена не будет, перечисленные механизмы останутся работоспособными, но картинки будут масштабироваться средствами браузера, что приведет к существенному увеличению объема страниц с миниатюрами.

  • Для того, чтобы почта сайта отправлялась в кодировке KOI8-R, а не в UTF-8 (т.к. письма в UTF-8 читаются не всеми почтовыми клиентами), нужен модуль Iconv для PHP.
  • Установка в системе архиватора RAR дает возможность создавать и распаковывать соответствующие архивы в файловом менеджере и в системе резервного копирования.

Требования к браузеру

Сайты, созданные в системе ELDORADO.CMS, работают ВО ВСЕХ основных браузерах. Для работы с админским интерфейсом рекомендуем использовать:

  • Mozilla, Firefox 1,5 +
  • Safari 3,0 +
  • Camino 1,0 +
  • Opera 9.0 +

Для работы многих систем и механизмов на сайте требуется выполнение браузером JavaScript-сценариев, а для работы системы авторизации пользователей требуется обработка браузером файлов Cookie.